Download it now!
Bug 125444 - Chart labels in PPTX appear as "[PERCENTAGE]" instead of "3%" and the like ( Office365 )
Summary: Chart labels in PPTX appear as "[PERCENTAGE]" instead of "3%" and the like ( ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.2.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.0.2 target:6.3.5
Keywords:
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2019-05-22 13:22 UTC by Gerald Pfeifer
Modified: 2020-09-26 11:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample slide (PPTX) (1.15 MB, application/vnd.ms-powerpoint)
2019-05-22 13:50 UTC, Gerald Pfeifer
Details
How it looks in Office365 (26.94 KB, image/png)
2019-05-22 13:52 UTC, Gerald Pfeifer
Details
How it looks in LibreOffice/Impress (39.71 KB, image/png)
2019-05-22 14:00 UTC, Gerald Pfeifer
Details
How it loons in MSO 2010 (30.91 KB, image/png)
2019-05-22 14:35 UTC, Xisco Faulí
Details
'38' and '%' are on different lines. (72.90 KB, image/png)
2020-04-09 23:02 UTC, Óvári
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer 2019-05-22 13:22:53 UTC
Description:
Opening the provided PPTX that shows just fine in Powerpoint or Office365
in LibreOffice 6.2.3.2, instead of showing the labels as
  3% and the like
we get
  [PERCENTAGE]

Steps to Reproduce:
1. Open sample document in LibreOffice
2. Compare output/view with attached screenshot from Office365

Actual Results:
Labels read "[PERCENTAGE]" (verbatim).

Expected Results:
Labels should read "3%" and the like.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Gerald Pfeifer 2019-05-22 13:50:46 UTC
Created attachment 151593 [details]
Sample slide (PPTX)
Comment 2 Gerald Pfeifer 2019-05-22 13:52:12 UTC
Created attachment 151594 [details]
How it looks in Office365
Comment 3 Gerald Pfeifer 2019-05-22 14:00:05 UTC
Created attachment 151595 [details]
How it looks in LibreOffice/Impress
Comment 4 Xisco Faulí 2019-05-22 14:35:48 UTC
Created attachment 151596 [details]
How it loons in MSO 2010
Comment 5 Xisco Faulí 2019-05-22 14:37:09 UTC
Same problem in MSO 2010, yet another file not compatible among different versions of MSO...
Comment 6 Commit Notification 2020-01-01 16:36:42 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fa0df1035bbede2ad93b08366abb1d7a508bd3d6

tdf#125444 Percentage as custom chart label

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-01-02 14:45:41 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0f2d4ce014afc5ba2b6d85db08fb3f6e544366e1

tdf#125444 Add pptx import test for percentage

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2020-01-07 09:07:20 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: bf540873f5e258452fed5006f65a403c95e7872a
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Tamas Bunth, thanks for fixing this issue!! Should it be closed as RESOLVED FIXED ?
Comment 9 Commit Notification 2020-01-07 09:42:30 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/8c1dc30cc9fc96ef3d3ab0c4445959473248ae4d

tdf#125444 Percentage as custom chart label

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-01-07 09:45:04 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/39716e0624bdfbab51d1ab342cfd102e5200cdb5

tdf#125444 Percentage as custom chart label

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-01-07 11:47:05 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/363b7ab405f70fe0f61d57103d5ae28a0b24e0c5

tdf#125444 Add pptx import test for percentage

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-01-07 11:47:12 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/f05e5581badb9a258f778333007173512076fe0b

tdf#125444 Add pptx import test for percentage

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 NISZ LibreOffice Team 2020-01-30 11:44:35 UTC
(In reply to Xisco Faulí from comment #8)
> Verified in
> 
> Version: 6.5.0.0.alpha0+
> Build ID: bf540873f5e258452fed5006f65a403c95e7872a
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> @Tamas Bunth, thanks for fixing this issue!! Should it be closed as RESOLVED
> FIXED ?

Closing per this, before we forget :).
Comment 14 Óvári 2020-04-09 23:02:07 UTC
Created attachment 159462 [details]
'38' and '%' are on different lines.

The image at:
https://blog.documentfoundation.org/blog/2020/04/09/improvements-in-libreoffices-powerpoint-presentation-support-2/

Shows
38
%

Would it be better to have a non-breaking space or remove the space between the ‘38’ and the ‘%’?

What do you think?

Thank you
Comment 15 Óvári 2020-04-09 23:05:34 UTC
(In reply to Óvári from comment #14)
Or perhaps have a newline character (\n <br>) before the percentage 38?

As the percentage could be replaced by an absolute value, i.e. Amount of money USD, HUF.

The newline character before the labels would then work without the non-breaking space creativity.

Thank you
Comment 16 Gerald Pfeifer 2020-04-10 12:02:41 UTC
(In reply to Óvári from comment #14)
> 38
> %
> 
> Would it be better to have a non-breaking space or remove the space between
> the ‘38’ and the ‘%’?
> 
> What do you think?

Office365 does not appear to have a space between the number and the
percentage, so seems preferable for LibreOffice to mimic that.

But, *if* there's a space, it should be non-breaking for sure.
Comment 17 Gerald Pfeifer 2020-09-26 11:33:47 UTC
(In reply to Gerald Pfeifer from comment #16)
> Office365 does not appear to have a space between the number and the
> percentage, so seems preferable for LibreOffice to mimic that.
> 
> But, *if* there's a space, it should be non-breaking for sure.

I tested this again and Version: 7.1.0.0.alpha0+
  Build ID: a8c218a52a639b0e7f689dea878a0421702628e0
  CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: gtk3
  Locale: en-US (en_US.UTF-8); UI: en-US
  TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-09-25_22:25:07
does not show a space between the number and percentage sign any more.

I can also confirm that the original issue has been fixed, so marking
this reprot as VERIFIED.